1.1
1.1
get /v1/keypairs/{keypair_name}
Description
Show keypair.
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.1 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | keypair_name required | Keypair name Example : keypairname | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | KeypairShowResponse |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/keypairs/{keypair_name}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"created_at": "2025-07-22T09:00:00Z",
"fingerprint": "7e:eb:ab:24:ba:d1:e1:88:ae:9a:fb:66:53:df:d3:bd",
"id": 1,
"name": "keypairname",
"public_key": "publickey",
"type": "ssh",
"user_id": "570907805e5447be84b618450ef52o0t"
}